Skip to main content
GET
/
public
/
workspace
/
{workspaceId}
/
invite-url
Get invite URL
curl --request GET \
  --url https://api.userplane.io/api/v1/public/workspace/{workspaceId}/invite-url \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.userplane.io/api/v1/public/workspace/{workspaceId}/invite-url"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.userplane.io/api/v1/public/workspace/{workspaceId}/invite-url', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "message": "<string>",
  "data": {
    "inviteUrl": "<string>",
    "workspaceId": "<string>"
  }
}
{
"defined": "<unknown>",
"code": "<unknown>",
"status": "<unknown>",
"message": "Invalid request parameters. Check the request body and query parameters. See https://docs.userplane.io/api/error-handling",
"data": "<unknown>"
}
{
"defined": "<unknown>",
"code": "<unknown>",
"status": "<unknown>",
"message": "API key is required. Include it as Authorization: Bearer <your-api-key>. See https://docs.userplane.io/api/authentication",
"data": "<unknown>"
}
{
"defined": "<unknown>",
"code": "<unknown>",
"status": "<unknown>",
"message": "The API key is disabled. Enable it or create a new key. See https://docs.userplane.io/api/authentication",
"data": "<unknown>"
}
{
"defined": "<unknown>",
"code": "<unknown>",
"status": "<unknown>",
"message": "Workspace not found",
"data": "<unknown>"
}
{
"defined": "<unknown>",
"code": "<unknown>",
"status": "<unknown>",
"message": "Workspace has been deleted",
"data": "<unknown>"
}
{
"defined": "<unknown>",
"code": "<unknown>",
"status": "<unknown>",
"message": "Rate limit exceeded. Wait and retry with exponential backoff. See https://docs.userplane.io/api/rate-limits",
"data": "<unknown>"
}
{
"defined": "<unknown>",
"code": "<unknown>",
"status": "<unknown>",
"message": "API key verification service is temporarily unavailable. Please try again later. See https://docs.userplane.io/api/error-handling",
"data": "<unknown>"
}
Returns the invite URL for a workspace. Requires the authenticated user to be an active member of the workspace.

Errors

Error codeStatusDescription
WORKSPACE_NOT_FOUND404Workspace does not exist
Also returns common authentication errors.

Get Workspace

Retrieve workspace details

List Workspaces

List all workspaces you belong to

Authorizations

Authorization
string
header
required

API key with uspl_ prefix. Create keys at dash.userplane.io/_/account?tab=developers

Path Parameters

workspaceId
string
required
Minimum string length: 1

Response

OK

message
string
required
data
object
required